diff --git build_files/cmake/platform/platform_apple.cmake build_files/cmake/platform/platform_apple.cmake
index fe9dd6a58de..31bc18fa212 100644
--- build_files/cmake/platform/platform_apple.cmake
+++ build_files/cmake/platform/platform_apple.cmake
@@ -287,7 +287,8 @@ if(WITH_PUGIXML)
 endif()
 
 if(WITH_OPENIMAGEIO)
-  find_package(OpenImageIO)
+  find_package(OpenImageIO REQUIRED CONFIG)
+  set(OPENIMAGEIO_LIBRARIES "OpenImageIO::OpenImageIO")
   list(APPEND OPENIMAGEIO_LIBRARIES
     ${PNG_LIBRARIES}
     ${JPEG_LIBRARIES}
diff --git intern/cycles/cmake/macros.cmake intern/cycles/cmake/macros.cmake
index ff62b816e6c..f5101664c50 100644
--- intern/cycles/cmake/macros.cmake
+++ intern/cycles/cmake/macros.cmake
@@ -139,6 +139,9 @@ macro(cycles_target_link_libraries target)
   if(WITH_OPENIMAGEDENOISE)
     target_link_libraries(${target} ${OPENIMAGEDENOISE_LIBRARIES})
   endif()
+  if(WITH_OPENIMAGEIO)
+    find_package(OpenImageIO REQUIRED CONFIG)
+  endif()
   target_link_libraries(
     ${target}
     ${OPENIMAGEIO_LIBRARIES}
diff --git intern/cycles/kernel/osl/CMakeLists.txt intern/cycles/kernel/osl/CMakeLists.txt
index 6cdc7367fbb..ab2adb9f105 100644
--- intern/cycles/kernel/osl/CMakeLists.txt
+++ intern/cycles/kernel/osl/CMakeLists.txt
@@ -38,6 +38,10 @@ set(HEADER_SRC
   osl_shader.h
 )
 
+if(WITH_OPENIMAGEIO)
+  find_package(OpenImageIO REQUIRED CONFIG)
+endif()
+
 set(LIB
   cycles_render
 
diff --git source/blender/imbuf/intern/oiio/CMakeLists.txt source/blender/imbuf/intern/oiio/CMakeLists.txt
index ee5848dec36..a399ab380b8 100644
--- source/blender/imbuf/intern/oiio/CMakeLists.txt
+++ source/blender/imbuf/intern/oiio/CMakeLists.txt
@@ -43,6 +43,7 @@ set(LIB
 )
 
 if(WITH_OPENIMAGEIO)
+  find_package(OpenImageIO REQUIRED CONFIG)
   list(APPEND INC_SYS
     ${OPENIMAGEIO_INCLUDE_DIRS}
     ${BOOST_INCLUDE_DIR}
